package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付业务类型
 *
 */
@AllArgsConstructor
@Getter
public enum EPayBusinessType {

    /**
     * 直销订单
     */
    DIRECT_SELLING(1, "直销订单", 0, EnumsPrefixConstants.PAY_BUSINESS_TYPE + "1"),

    /**
     * 会员充值
     */
    RECHARGE(3, "会员充值", 0, EnumsPrefixConstants.PAY_BUSINESS_TYPE + "3"),

    /**
     * 抽奖付款
     */
    LUCK(4, "抽奖付款", 0, EnumsPrefixConstants.PAY_BUSINESS_TYPE + "4"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EPayBusinessType getEnumByValue(int value) {
        for (EPayBusinessType enums : EPayBusinessType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }

}
